diff .chezmoiscripts/run_onchange_after_15-install-ubuntu-packages.sh.tmpl @ 809:72744c944497

feat: install packages and rtx for management
author zegervdv <zegervdv@me.com>
date Tue, 05 Dec 2023 20:03:16 +0100
parents
children 6499aba0eaf3
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/.chezmoiscripts/run_onchange_after_15-install-ubuntu-packages.sh.tmpl	Tue Dec 05 20:03:16 2023 +0100
@@ -0,0 +1,51 @@
+{{ if eq .chezmoi.os "linux" -}}
+{{ if eq .chezmoi.osRelease.name "Ubuntu" -}}
+
+{{ $packages := list
+	"build-essential"
+	"libsqlite3-dev"
+	"libreadline-dev"
+    "libbz2-dev"
+    "libncurses-dev"
+    "zlib1g-dev"
+    "libffi-dev"
+    "libssl-dev"
+    "software-properties-common"
+	"fzf"
+    "fd-find"
+    "ripgrep"
+	"jq"
+	"pass"
+	"apt-file"
+	"fonts-firacode"
+	"kitty"
+	"yodl"
+	"libevent-core-2.1-7" -}}
+
+{{ $ppa := list
+	"ppa:maveonair/helix-editor"
+	"ppa:mozillateam/ppa" -}}
+
+{{ $extra_packages := list
+	"helix"
+	"firefox" -}}
+#!/usr/bin/env bash
+
+set -xe
+
+sudo apt install -y  {{ $packages | join " "}}
+
+{{ range $ppa }}
+sudo add-apt-repository -y --no-update --ppa {{ . }}
+{{ end}}
+
+sudo mkdir -p /etc/apt/preferences.d/
+sudo cp -v {{ .chezmoi.sourceDir }}/system/ubuntu/mozilla-firefox /etc/apt/preferences.d/mozilla-firefox
+
+sudo apt update
+sudo apt install -y  {{ $extra_packages | join " " }}
+
+sudo update-alternatives --set x-terminal-emulator /usr/bin/kitty
+
+{{- end }}
+{{- end }}